%global 	commit 72d2a6f1a412298cbeae612c184d5d876f0ddf33
%global 	shortcommit %(c=%{commit}; echo ${c:0:7})

Name: 		sniproxy
Version: 	0.4.0
Release: 	%mkrel 3
Summary: 	Transparent TLS proxy
Group: 		System/Servers
License: 	BSD
URL: 		https://github.com/dlundquist/sniproxy
Source0: 	https://github.com/dlundquist/sniproxy/archive/%{version}.tar.gz#/%{name}-%{version}.zip
Source1: 	sniproxy.conf
Source2: 	sniproxy.service
Source3: 	sniproxy.init
Source4:	sniproxy-tmpfiles.conf
Patch0: 	ports-tests-0.4.0.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: curl
BuildRequires: systemd
# for macro definition:
BuildRequires: systemd-devel

BuildRequires: libev-devel
BuildRequires: pcre-devel
BuildRequires: perl
BuildRequires: udns-devel
# for lib-prefix.m4
BuildRequires: gettext-devel
# required for EL
BuildRequires: perl(Time::HiRes)

Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
SNIproxy proxies incoming HTTP and TLS connections based on the host name 
contained in the initial request. This enables HTTPS name based virtual 
hosting to separate back-end servers without the installing the private
key on the proxy machine.


%prep
%setup -q

%patch0 -p1 -b .test-ports

%build
touch config.rpath
autoreconf -fvi
CFLAGS="${CFLAGS:-%optflags} -I/usr/include/libev" ; export CFLAGS ;
%configure --disable-dependency-tracking
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
%{__install} -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

%check
#make check

%pre
getent group sniproxy &>/dev/null || groupadd -r sniproxy
getent passwd sniproxy &>/dev/null || \
    /usr/sbin/useradd -r -g sniproxy -s /sbin/nologin -c sniproxy \
    -d / sniproxy

%post
%_tmpfilescreate %{name}
%systemd_post sniproxy.service

%preun
%systemd_preun sniproxy.service

%postun
%systemd_postun sniproxy.service
# fix empty %%postun:
true

%files

%config(noreplace) %{_sysconfdir}/sniproxy.conf

%{_sbindir}/sniproxy
%doc COPYING README.md AUTHORS debian/changelog
%{_unitdir}/sniproxy.service
%{_mandir}/man5/sniproxy.conf.5.*
%{_mandir}/man8/sniproxy.8.*



%changelog
* Sun Oct 16 2016 tv <tv> 0.4.0-3.mga6
+ Revision: 1061188
- "fix" empty %%postun
- BR systemd-devel for macro definition (mga#12027)

* Sat Mar 26 2016 dlucio <dlucio> 0.4.0-1.mga6
+ Revision: 995701
- more fixes
- group fixed
- configure to disable dependency tracking
- first mageia import
- imported package sniproxy

